#ifndef SESSION_MANAGER_H
#define SESSION_MANAGER_H

#include "conexion.h"

#include <string>
#include <list>

class session_manager
{
public:
  session_manager(conexion* con);
  conexion* con;
  bool loggin(std::string username, std::string passwd);
  int install_command(std::string package);
  int remove_command(std::string package);
  std::list<std::string> get_packages_info();
  std::list<std::string> get_users_info();
};

#endif // SESSION_MANAGER_H
